//package com.android;
public class Rotate {
	static float RotateM[];
	static float axis[]={0.0f,0.0f,0.0f};
	static float nowquat[]={1.0f,0.0f,0.0f,0.0f};
	static float RMatrix[]={1,0,0,0,
							0,1,0,0,
							0,0,1,0,
							0,0,0,1};
	static void CreateRM(){
		
		double sum=0;
		float leng,w,x,y,z;
		for(int i=0;i<3;i++){
		sum+=axis[i]*axis[i];
		}
		leng=(float)Math.sqrt(sum);
		if(leng!=0.0f){
		axis[0]*=1.0f/leng;
		axis[1]*=1.0f/leng;
		}
		
		float hrad=(float)0.01f*leng;
		float s=(float)Math.sin(hrad);
		float wt=(float) Math.cos(hrad);
		float xt=s*axis[0];
		float yt=s*axis[1];
		float zt=s*axis[2];
		
		w = wt * nowquat[0] - xt * nowquat[1] - yt * nowquat[2] - zt * nowquat[3];
		x = wt * nowquat[1] + xt * nowquat[0] + yt * nowquat[3] - zt * nowquat[2];
		y = wt * nowquat[2] - xt * nowquat[3] + yt * nowquat[0] + zt * nowquat[1];
		z = wt * nowquat[3] + xt * nowquat[2] - yt * nowquat[1] + zt * nowquat[0];
		nowquat[0]=w;
		nowquat[1]=x;
		nowquat[2]=y;
		nowquat[3]=z;
		
		float RMatrixt[]={
				1-2*y*y-2*z*z, 2*x*y+2*w*z,2*x*z-2*w*y, 0.0f,
				2*x*y-2*w*z,   1-2*x*x-2*z*z, 2*y*z+2*w*x,0.0f,
				2*x*z+2*w*y,   2*y*z-2*w*x,1-2*x*x-2*y*y,0.0f,
				0.0f,			0.0f,	   0.0f, 1.0f
		};
		for(int i=0;i<16;i++){
		RMatrix[i]=RMatrixt[i];
		}
		
		
	}
}
